## symlinks-1.2.tar.bz2

=== Makefile ===
# Makefile for symlinks
 
prefix = /usr/local

all: symlinks


symlinks: symlinks.c
	$(CC) -o symlinks $(CPPFLAGS) $(DEFS) $(CFLAGS) symlinks.c $(LDFLAGS)
 
install: all symlinks.8
	install -d $(prefix)/bin $(prefix)/man/man8
	install -m 755 -o root -g root symlinks $(prefix)/bin
	install -m 644 -o root -g root symlinks.8 $(prefix)/man/man8

clean:
	rm -f symlinks *.o core

=== debian/changelog ===
symlinks (1.2-4.2) unstable; urgency=low

  * NMU
  * Add license clarification from Mark Lord to copyright file.
    Thanks Mark for your email. Closes: #273338
  * This upload will trigger a rebuild with current gcc, thus it 
    Closes: #176341.

 -- Bill Allombert <ballombe@debian.org>  Tue, 10 May 2005 19:31:02 +0200

symlinks (1.2-4.1) unstable; urgency=low

  * NMU
  * Add Build-Depends.  Closes: #108542.
  * Apply patch for large files.  Closes: #167122.

 -- Daniel Schepler <schepler@debian.org>  Sun,  6 Apr 2003 17:20:34 -0700

symlinks (1.2-4) unstable; urgency=low

  * typo fix in changelog from Goswin Brederlow
  * fixed return type of Main. Closes: #69267

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 11 Dec 2000 10:29:58 +0100

symlinks (1.2-3) unstable; urgency=low

  * new standards version (including /usr/share/doc and man support)

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 23 Jul 2000 04:49:13 +0200

symlinks (1.2-2) unstable; urgency=low

  * included debhelper

 -- Bernd Eckenfels <ecki@debian.org>  Mon,  2 Nov 1998 00:32:03 +0100

symlinks (1.2-1) unstable; urgency=low

  * new upstream version (lengthy links and test option)
  * included deb-std drom debmake packge for building package

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 4 Nov 1996 22:36:13 +0100

symlinks (1.0-5) unstable; urgency=low

  * Strip Binarie (#5108)

 -- Bernd Eckenfels <ecki@debian.org>  Wed, 30 Oct 1996 02:52:16 +0100

symlinks (1.0-4) unstable; urgency=low

  * Updated to Standards-Version 2.1.1.0.
  * New maintainer. (old: Michael Meskes <meskes@debian.org>)

 -- Bernd Eckenfels <ecki@debian.org>  Thu, 26 Sep 1996 19:11:06 +0200

symlinks (1.0-3) unstable; urgency=LOW

  * New maintainer. (old: Bill Mitchell <mitchell@mdd.comm.mot.com>)
  * Made package architecture independent (Bug#3364)
  * Added 'Priority: optional' to control file
  * Recompiled for ELF (Bug#4144)
  * Corrected extended description (Bug#3614)
  * Manpage now gzipped
  * Binary is now dynamically linked

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: symlinks
Section: misc
Priority: optional
Maintainer: Bernd Eckenfels <ecki@debian.org>
Build-Depends: debhelper
Standards-Version: 3.0.1

Package: symlinks
Architecture: any
Depends: ${shlibs:Depends}
Description: scan/change symbolic links
 Symlinks scans directories for symbolic links and lists
 them on stdout. Each link is prefixed with a classification
 of relative, absolute, dangling, messy, lengthy or other_fs.
 .
 Symlinks can also convert absolute links (within the same filesystem)
 to relative links and can delete messy and dangling links.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian.rules file - for symlinks
# Copyright 1996-1998 by Bernd Eckenfels
#

package=symlinks

build:
	$(checkdir)
	$(MAKE) CFLAGS="-O2 -Wall -g" prefix=/usr LDFLAGS="-s"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars core */core
	dh_clean

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	dh_installdirs
	dh_installdocs symlinks.lsm
	dh_installchangelogs
	cp symlinks debian/tmp/usr/bin/
	cp symlinks.8 debian/tmp/usr/share/man/man1/symlinks.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol -- -isp
	dh_installdeb
	dh_md5sums
	dh_builddeb

define checkdir
	test -f $(package).c -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
